%define lib_major 2
%define api_version 2
%define lib_name %mklibname %{name} %{api_version} %{lib_major}

%define req_gail_version 0.17
%define req_libgnomeui_version 2.0.0
%define req_libart_version 2.3.10
%define req_libglade_version 2.0.0

Name:		eel
Summary:	Eazel Extensions Library
Version: 	2.4.0
Release:	1mdk
License: 	LGPL/GPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2

URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel >= %{req_libgnomeui_version}
BuildRequires: libgail-devel >= %{req_gail_version}
BuildRequires: libart_lgpl-devel >= %{req_libart_version}
BuildRequires: libglade2.0-devel >= %{req_libglade_version}

%description
Eazel Extensions Library

%package -n %{lib_name}
Summary:	Eazel Extensions shared Libraries
Group:		%{group}
Requires: %{name} >= %{version}-%{release}

%description -n %{lib_name}
Eazel Extensions shared libraries

%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with Eel.
Group:		Development/C
Requires:	libgnomeui2-devel >= %{req_libgnomeui_version}
Requires:	libgail-devel >= %{req_gail_version}
Requires:	libart_lgpl-devel >= %{req_libart_version}
Requires:   libglade2.0-devel >= %{req_libglade_version}
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description  -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.


%prep
%setup -q

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}-2.0

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/eel-%{api_version}

%changelog
* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.8-1mdk
- Release 2.3.8

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-1mdk
- Release 2.3.7

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-2mdk
- Rebuild for latest dependencies

* Thu Jul 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Fri Apr 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-1mdk
- Release 2.2.3.1

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.2-1mdk
- Release 2.2.0.2

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-2mdk
- Rebuild against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.91-1mdk
- Release 2.1.91

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6

* Mon Dec 30 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.5-2mdk
- BuildRequires libjpeg-devel

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7

* Fri Aug 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5 (update Geek translation)

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Fix devel dependencies

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix BuildRequires / Requires on -devel package (huug)

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Patch0: be sure to call bind_textdomain_codeset before using gettext

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-4mdk
- Fix libification

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-3mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-2mdk
- Rebuilt against gail 0.15

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.17-1mdk
- Release 1.1.17

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.14-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.14-1mdk
- Release 1.1.14

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.13-1mdk
- Release 1.1.13

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Release 1.1.11

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-1mdk
- Release 1.1.10
- Now requires gail 0.13 or better

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.9-1mdk
- Release 1.1.9 (GNOME2)
- Remove patches 0, 1, 4, 6 (no longer needed), 7 (merged upstream)

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-8mdk
- BuildRequires

* Thu Feb 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-7mdk
- integrated basque (and other) translations from Gnome CVS

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Update patch1 with latest Rawhide version

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- Patch7: fix flash problem on desktop at startup

* Fri Dec  7 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-4mdk
- fix BuildRequires

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Patch6 (Rawhide) : Fixes for efficiency of background drawing

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Fix reference directory in .la files

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 2,3,6 (merged upstream)

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-4mdk
- rebuilt with libpng3

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add a lot of patches from rawhide :
 - Patch1: fixed choose default font with every locale
 - Patch2: fixes for efficiency of background drawing
 - Patch3: fixes from CVS (ia64, ...),move includes files in eel-1 dir
 - Patch4: remove some flashes
 - Patch5: Fix problems with EelImageChooser widget and Japanese
 - Patch6: Fixed EelScalableFont to not keep reloading fonts all the time

* Mon Jul 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Remove check since they need X11 display (Stefan van der Eijk)
- Fix BuildRequires (Stefan van der Eijk)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Don't ship fonts since they are in urw-fonts

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Add missing dependency of main package to lib package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- First Mandrake package

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
